=== debian/control ===
Source: ros-galactic-swri-route-util
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-galactic-ament-cmake, ros-galactic-marti-common-msgs, ros-galactic-marti-nav-msgs, ros-galactic-rclcpp, ros-galactic-swri-geometry-util, ros-galactic-swri-math-util, ros-galactic-swri-roscpp, ros-galactic-swri-transform-util, ros-galactic-tf2-geometry-msgs, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-swri-route-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-galactic-marti-common-msgs, ros-galactic-marti-nav-msgs, ros-galactic-rclcpp, ros-galactic-swri-geometry-util, ros-galactic-swri-math-util, ros-galactic-swri-roscpp, ros-galactic-swri-transform-util, ros-galactic-tf2-geometry-msgs, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Description: This library provides functionality to simplify working with the navigation messages defined in marti_nav_msgs.
